// pages/home/xy/index.js
const app = getApp();//新建页面时 默认引入
const req = app.xzjlReq();//初始化一个的request() 实例
Page({

    /**
     * 页面的初始数据
     */
    data: {
        xzInfo:{},
        userInfo:{},
        loverInfo:{},
        xyNfc:true,
        xyInfo:{},
        visible:false,
        showEnergy:false
    },
    /**获取星座图片对应关系 */
    getXzTp(){
        req.getRequest('/api/dict/value/horoscope-resource',{}).then((res)=>{
            if(res.data.code==200){
                this.setData({xzInfo:res.data.data})
            }
           }).catch((err)=>{
            console.log(err);
        })
    },

    initXy(){
        req.getRequest('/api/user/curt',{}).then((res)=>{
            if(res.data.code==200){
                this.setData({userInfo:res.data.data})
                wx.setStorageSync('xinyuan-userInfo',res.data.data)
                this.isFirst()
            }
           }).catch((err)=>{
            console.log(err);
        })
        this.setData({xyInfo:wx.getStorageSync('nfc')})
    },

    // 获取情侣信息
    getUserLoverInfo(){
        req.getRequest('/api/user/curt/lover',{}).then((res)=>{
            if(res.data.code==200){
                this.setData({loverInfo:res.data.data})
                wx.setStorageSync('xinyuan-userLoveInfo',res.data.data)
            }
           }).catch((err)=>{
            console.log(err);
        })
    },

    // 关闭运势提示
    closeYs(){
        this.setData({
            visible: false , 
            showEnergy: false
        })
        clearTimeout(this.data.time)
    },
    openYs(){
        this.setData({
            visible: true , 
            showEnergy: true
        })
        const time = setTimeout(() => {
            this.setData({
                showEnergy: false
            })
        }, 1000);
        this.setData({
            time: time
        })
    },
    
    // 判断是否第一次登入
    isFirst(){
        const isFirst = wx.getStorageSync('isFirst')
        if (isFirst) {
            this.setData({
                showIsFirst: true,
                visible: false
            })
        }else {
            this.setData({
                visible: true , 
                showEnergy: true
            })
            setTimeout(() => {
                this.setData({
                    showEnergy: false
                })
            }, 2000);
        }
    },

    // 关闭第一次登入弹层
    closeFirst(){
        console.log('关闭弹层');
        this.setData({
            showIsFirst: false,
            visible: true
        })
        wx.setStorageSync('isFirst', false)
    },
    childTap() {     
        console.log('子盒子被点击');
    },

    // 提升运势
    upImprove(){
        const mac =  wx.getStorageSync('mac-key')
        req.patchRequest('/api/user/curt/horoscope/improve',{mac: mac}).then(res => {
        })
    },

    // 获取系统默认图片列表
    getDefaultAvatars(){
        req.getRequest('/api/dict/value/horoscope-resource',{}).then(res => {
            wx.setStorageSync('xy-static-img', res.data.data)
        })
    },

        /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.initXy()
        this.getXzTp()
        this.getUserLoverInfo()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        this.initXy()
        this.upImprove()
        this.getDefaultAvatars()
        this.getUserLoverInfo()
        this.isFirst()
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {
    }
})